<?php
function sanchay_child_enqueue_styles() {

    $parent_style = 'sanchay-style'; 
    
    wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css', array( 'sanchay-bootstrap-style', 'sanchay-font-awesome-style' ) );
    wp_enqueue_style( 'sanchay-child-style',
        get_stylesheet_directory_uri() . '/style.css',
        array( $parent_style ),
        wp_get_theme()->get('Version')
    );
    if( is_rtl() ) {
		wp_enqueue_style( 'sanchay_child_parent_rtl', trailingslashit( get_template_directory_uri() ) . 'rtl.css', array( 'sanchay-bootstrap-style', 'sanchay-font-awesome-style' ) );
	}
}
add_action( 'wp_enqueue_scripts', 'sanchay_child_enqueue_styles' );

/**
 * Loads the child theme textdomain.
 */
function sanchay_child_theme_setup() {
    load_child_theme_textdomain( 'sanchay', get_stylesheet_directory().'/languages' );
}
add_action( 'after_setup_theme', 'sanchay_child_theme_setup' );


/**
 * Import options from Sanchay
 *
 * @since 1.0.0
 */
function sanchay_child_get_parent_options() {
	$sanchay_mods = get_option( 'theme_mods_sanchay' );
	if ( ! empty( $sanchay_mods ) ) {
		foreach ( $sanchay_mods as $sanchay_mod_k => $sanchay_mod_v ) {
			set_theme_mod( $sanchay_mod_k, $sanchay_mod_v );
		}
	}
}
add_action( 'after_switch_theme', 'sanchay_child_get_parent_options' );